use teloxide::{prelude::*,Bot};

use crate::rewrite_links::links_to_rewrite;

pub fn contain_links(msg: Message) -> bool {
    match msg.text() {
        Some(text) => links_to_rewrite::check_domains(String::from(text)),
        None => false,
    }
}

pub async fn fix_links(msg: Message, bot: Bot) -> anyhow::Result<()> {
    let text = msg.text().unwrap();
    let url_and_domain = links_to_rewrite::get_domain_from_text(String::from(text));
    bot.send_message(msg.chat.id,
                    links_to_rewrite::filter_string(
                        url_and_domain.0,
                        url_and_domain.1
                    ).unwrap()).await?;
    Ok(())
}
